﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace _1201CustomTextBlockForeground
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void RadComboBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            RadComboBox combo = (sender as RadComboBox);
            if (combo == null)
                return;
            RadComboBoxItem selectedItem = combo.SelectedItem as RadComboBoxItem;
            if (selectedItem == null)
                return;

            string theme = selectedItem.Content as string;

            App.Current.Resources.MergedDictionaries.Clear();
            App.Current.Resources.MergedDictionaries.Add(new ResourceDictionary()
            {
                Source = new Uri(
                    string.Format(@"/Telerik.Windows.Themes.{0};component/Themes/System.Windows.xaml", theme)
                    , UriKind.RelativeOrAbsolute)
            });
            App.Current.Resources.MergedDictionaries.Add(new ResourceDictionary()
            {
                Source = new Uri(
                    string.Format(@"/Telerik.Windows.Themes.{0};component/Themes/Telerik.Windows.Controls.xaml", theme)
                    , UriKind.RelativeOrAbsolute)
            });
            App.Current.Resources.MergedDictionaries.Add(new ResourceDictionary()
            {
                Source = new Uri(
                    string.Format(@"/Telerik.Windows.Themes.{0};component/Themes/Telerik.Windows.Controls.Input.xaml", theme)
                    , UriKind.RelativeOrAbsolute)
            });
            App.Current.Resources.MergedDictionaries.Add(new ResourceDictionary()
            {
                Source = new Uri(
                    string.Format(@"FormStyles/{0}Style.xaml", theme)
                    , UriKind.RelativeOrAbsolute)
            });
        }
    }
}
